Cursos Servidores con Centos 6
Sistema Operativo ALDOS
Dezoft

Si algunos de nuestros foros, manuales, ALDOS, paquetería o proyectos te han resultado de ayuda, apreciaremos mucho nos apoyes con un donativo.

 Índice > Todo acerca de Linux > Programas y Aplicaciones Nuevo tema Publicar Respuesta
 error anaconda en livecd recompilada de CentOS 6.6
Tema anterior Tema siguiente
   
al-serv
Publicado en 04/11/14 09:23 (Leído 1320 veces)  

Miembro Activo
Forum User

Inscrito: 01/03/08 Publicaciones: 635
País:Cataluña
Buenas!

como comente en mi post anterior, tengo problemas una vez creada una livecd personalizada de CentOS 6.6

Se compila perfectamente y asta ahora las versiones anteriores siempre me había ido bien pero en la 6.6 no se que pasa que no acaba de funcionar, cuando ejecuto el instalador de la live ( /usr/bin/liveinst ) me aroja este error que he buscado por internet pero nada de nada:

/usr/bin/liveinst
umount: /media/*: no se ha encontrado
0 logical volume(s) in volume group "vg_livedvd" now active
localuser:root being added to access control list
Traceback (most recent call last):
File "/usr/sbin/anaconda", line 642, in <module>
import dispatch
File "/usr/lib/anaconda/dispatch.py", line 42, in <module>
from kickstart import runPostScripts
File "/usr/lib/anaconda/kickstart.py", line 372, in <module>
class Fcoe(commands.fcoe.RHEL6_Fcoe):
AttributeError: 'module' object has no attribute 'RHEL6_Fcoe'

No encuentro el problema que me crea esto... alguna idea?? gracias por adelantado!!! Sonrisa
 
Perfil Sitio Web
 Citar
Joel Barrios Dueñas
Publicado en 04/11/14 09:36  

Admin
Site Admin

Inscrito: 17/02/07 Publicaciones: 1723
País:Mexico
Necesitas incluir a la instalación del LiveCD el paquete fcoe-utils. Anaconda depende de éste al igual que depende de otros paquetes como iscsi-initiator-utils, mdadm, lvm, etc.
 
Perfil Sitio Web
 Citar
al-serv
Publicado en 04/11/14 09:52  

Miembro Activo
Forum User

Inscrito: 01/03/08 Publicaciones: 635
País:Cataluña
esta, esta:

El paquete fcoe-utils-1.0.28-3.el6.x86_64 ya se encuentra instalado con su versión más reciente
El paquete iscsi-initiator-utils-6.2.0.873-13.el6.x86_64 ya se encuentra instalado con su versión más reciente
El paquete mdadm-3.3-6.el6.x86_64 ya se encuentra instalado con su versión más reciente


siempre me ha ido bien y el spin no lo he cambiado....
 
Perfil Sitio Web
 Citar
Joel Barrios Dueñas
Publicado en 04/11/14 09:57  

Admin
Site Admin

Inscrito: 17/02/07 Publicaciones: 1723
País:Mexico
El error indica que no se encuentra el componete de fcoe-utils para Anaconda. Probablemente encontraste otro bug sin documentar. Intenta utilizando con la versión de anaconda y livecd-tools de CentOS 6.5.
 
Perfil Sitio Web
 Citar
al-serv
Publicado en 04/11/14 10:03  

Miembro Activo
Forum User

Inscrito: 01/03/08 Publicaciones: 635
País:Cataluña
pues probare de crear la livecd excluyendo ese paquete a ver si es esto, ya te cuento ya que crear la live me lleva un tiempo Sonrisa
 
Perfil Sitio Web
 Citar
al-serv
Publicado en 05/11/14 09:03  

Miembro Activo
Forum User

Inscrito: 01/03/08 Publicaciones: 635
País:Cataluña
buenas! al final era el paquete de libreport .... lo he recompilado y ahora ya inicializa anaconda pero continua teniendo más errores y parece ser del e2fsprogs ya que cuando vas a hacer las particiones te da error al iniciar el formato... compilare ese paquete.... continuare explicando
 
Perfil Sitio Web
 Citar
Contenido generado en: 0,12 segundos Nuevo tema Publicar Respuesta
 Todas las horas son UTC. Hora actual 02:35 .
Tema normal Tema normal
Tema persistente Tema persistente
Tema cerrado Tema cerrado
Nueva publicación Nueva publicación
Persistente con nueva publicación Persistente con nueva publicación
Cerrado con nueva publicación Cerrado con nueva publicación
Ver publicaciones anónimas 
Usuarios anónimos pueden publicar 
Se permite HTML Filtrado 
Contenido censurado